- Qt 5.15
- Qt Core
- C++ Classes
- QDir
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QDir

The following members of class QDir are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QDir & | operator=(const QString &path)

## Static Public Members

`(obsolete)` void | addResourceSearchPath(const QString &path)

## Member Function Documentation

### QDir &QDir::operator=(const QString &path)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Sets the directory path to the given path.

Use setPath() instead.

### `[static]` void QDir::addResourceSearchPath(const QString &path)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QDir::addSearchPath() with a prefix instead.

Adds path to the search paths searched in to find resources that are not specified with an absolute path. The default search path is to search only in the root (`:/`).

See also The Qt Resource System.